Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 997021 - spacewalk-utils-2.0.2-4.el6sat.noarch do not contain spacewalk-sync-setup utility
Summary: spacewalk-utils-2.0.2-4.el6sat.noarch do not contain spacewalk-sync-setup uti...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization
Version: 560
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks: sat560-blockers 999583
TreeView+ depends on / blocked
 
Reported: 2013-08-14 13:48 UTC by Jan Hutař
Modified: 2013-10-01 21:59 UTC (History)
2 users (show)

Fixed In Version: spacewalk-utils-2.0.2-8-sat
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 999583 (view as bug list)
Environment:
Last Closed: 2013-10-01 21:59:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Hutař 2013-08-14 13:48:26 UTC
Description of problem:
I went through documentation and attempted to to use spacewalk-sync-setup utility and realized it is not available even with spacewalk-utils-2.0.2-4.el6sat.noarch installed.


Version-Release number of selected component (if applicable):
spacewalk-utils-2.0.2-4.el6sat.noarch


How reproducible:
always


Steps to Reproduce:
1. Install spacewalk-utils-2.0.2-4.el6sat.noarch
2. # spacewalk-sync-setup --help
-bash: spacewalk-sync-setup: command not found


Actual results:
Command not found


Expected results:
Command should be available


Additional info:
Maybe this is just an documentation bug and the utility is in different package?

Comment 2 Grant Gainey 2013-08-14 14:43:12 UTC
Yeah - that and spacewalk-archive-audits were added to the RPM with spacewalk-utils-2.0.2-5-sat on 08-AUG, should be in any compose that happened after that

Comment 5 Grant Gainey 2013-08-21 13:55:22 UTC
"with" doesn't appear in python until 2.5.  RHEL5 only has access to 2.4.  Sigh.

spacewalk-sync-setup and spacewalk-archive-audits are both affected, will fix under this BZ

Comment 6 Grant Gainey 2013-08-22 14:31:37 UTC
SW commit c83922fe67e6acec7d4b89874eb74297d0885746
SAT commit 13117ddb6e7fe6e16fd803e195afe6961b5bbd48

Fixed a number of Python 2.5-isms and a Postgres-9 thing as well

Comment 11 Tomáš Kašpárek 2013-09-23 05:56:17 UTC
validated with Satellite-5.6.0-RHEL5-re20130916.0

Comment 12 Clifford Perry 2013-10-01 21:59:05 UTC
Satellite 5.6 has been released. This bug was tracked under the release.  

This bug was either VERIFIED or RELEASE_PENDING (re-verified prior shortly
before release). 

Moving to CLOSED CURRENT_RELEASE. 

Text from Upgrade Erratum follows:

Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1395.html


Note You need to log in before you can comment on or make changes to this bug.